Subject: bug#25122: 24.5; function describe-variable hangs on large variables

From: Stefan Monnier <[email-masked]>
Date: Sun, 12 Mar 2017 10:07:39 -0400

> That said, what's the reason of choosing the slower approach to compute
> value (in a thread or not) instead of using the approach described in
> the advice I sent here which takes 1s to compute load-history instead of
> 3mn ? (I use this advice since one year now without any problems).

Yes, we should definitely do that.  I'm still not sure why it's so much
faster: it indicates we have a performance bug in pp.el and all it take
is to fix it.

        Stefan